#!/usr/bin/env python
# IP Address list generator
# ^___^



from __future__ import generators
import sys

# a generator function by Paul McGuire that works with two strings
# containing valid IP addresses.
# (Note: no error checking, such as verifying that endAddr > startAddr,
# endAddr < 255.255.255.255, etc.) 
def ipAddrRange(startAddr, endAddr):

    def incrAddr(addrList):
	addrList[3] += 1
	for i in (3,2,1):
	    if addrList[i] == 256:
		addrList[i] = 0
		addrList[i-1] += 1

    def asString(addrList):
	return ".".join(map(str,addrList))

    startAddrList = map(int,startAddr.split("."))
    endAddrList = map(int,endAddr.split("."))
    curAddrList = startAddrList[:]
    yield asString(curAddrList)
    for i in range(4):
	while curAddrList[i] < endAddrList[i]:
	    incrAddr(curAddrList)
	    yield asString(curAddrList)



def main():
    if len(sys.argv) == 3:
	for addr in ipAddrRange(sys.argv[1],sys.argv[2]): print addr
    else:
	print "usage: iplistgenq.py IPv4_srartAddr IPv4_endAddr"



if __name__=='__main__': main()